View Issue Details

IDProjectCategoryView StatusLast Update
0000375WackoWikiformatterpublic2019-02-19 20:47
ReporteradministratorAssigned Toadministrator 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version4.2 
Target Version5.5.9Fixed in Version5.5.9 
Summary0000375: paragrafica sets p tag before notypo -> div OR pre
Descriptionparagrafica class

should not set paragraphs in such cases like
e.g.
<p class="auto" id="p96596-1"><!--notypo--><pre class="code">
<p class="auto" id="p21312-1"><!--notypo--><div class="layout-box">

leads to invalid html tag nesting
<p class="auto" id="p96596-1><pre class="code"> or
<p class="auto" id="p96596-1><div class="layout-box">

Block level elements that should not be wrapped inside

tags
'address|blockquote|div|dl|fieldset|form|hr|noscript|object|ol|p|pre|script|table|ul';

Additional InformationParagrafica does not recognize the terminator tag it needs to close an open p tag because it can't look inside the <!--notypo--> tag content per definition.

On the one hand we can close all open <p class="auto" > tags, but on the other hand we have valid inline use like escaped strings or the anchor action, all using <!--notypo--> to disable Typografica.

https://wackowiki.org/doc/Dev/Projects/Typografica
TagsNo tags attached.

Relationships

related to 0000431 resolvedadministrator replace <a name="[p|h]1249-1"> 

Issue History

Date Modified Username Field Change
2010-08-21 10:52 administrator New Issue
2010-08-21 20:11 administrator Description Updated View Revisions
2010-08-21 20:11 administrator Status new => confirmed
2012-04-22 17:04 administrator Target Version 5.0.0 => 5.4.0
2014-03-21 14:57 administrator Target Version 5.4.0 => 5.5.0
2015-02-19 19:29 administrator Target Version 5.5.0 => 5.6.x
2015-04-01 11:44 administrator Relationship added related to 0000431
2018-08-06 14:37 administrator Target Version 5.6.x => 5.5.7
2019-01-14 14:21 administrator Target Version 5.5.7 => 5.5.8
2019-02-14 12:04 administrator Target Version 5.5.8 => 5.6.x
2019-02-17 16:26 administrator Assigned To => administrator
2019-02-17 16:26 administrator Status confirmed => assigned
2019-02-17 16:26 administrator Additional Information Updated View Revisions
2019-02-17 16:29 administrator Description Updated View Revisions
2019-02-17 16:30 administrator Description Updated View Revisions
2019-02-17 16:31 administrator Description Updated View Revisions
2019-02-17 16:31 administrator Additional Information Updated View Revisions
2019-02-17 16:32 administrator Additional Information Updated View Revisions
2019-02-17 16:57 administrator Additional Information Updated View Revisions
2019-02-19 19:37 administrator Note Added: 0001033
2019-02-19 20:47 administrator Status assigned => resolved
2019-02-19 20:47 administrator Resolution open => fixed
2019-02-19 20:47 administrator Fixed in Version => 5.5.9
2019-02-19 20:47 administrator Target Version 5.6.x => 5.5.9